Issue 126888 - bundled boost headers generate an excessive number of warnings when building with modern compilers
Summary: bundled boost headers generate an excessive number of warnings when building ...
Status: RESOLVED FIXED
Alias: None
Product: Build Tools
Classification: Code
Component: external prerequisites (show other issues)
Version: 4.2.0-dev
Hardware: All All
: P5 (lowest) Normal (vote)
Target Milestone: 4.1.8
Assignee: Don Lewis
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-24 22:01 UTC by Don Lewis
Modified: 2020-08-27 10:04 UTC (History)
2 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: Simple


Attachments
patch to reduce warnings from the bundled boost headers (11.94 KB, patch)
2016-03-24 22:01 UTC, Don Lewis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Don Lewis 2016-03-24 22:01:12 UTC
Created attachment 85367 [details]
patch to reduce warnings from the bundled boost headers

When building OpenOffice with modern compilers, the bundled boost headers generate an excessive number of warnings.  This is especially bad with recent versions of clang, which generates very verbose warning messages.

The attached patch updates the current boost_1_55_0.patch with additional changes cherry picked from upstream boost, up through version 1.60.  These additional changes have been used with the FreeBSD boost 1.55.0 port for a while.

This patch greatly reduces the number of warnings and size of the OpenOffice build log.  Compiling trunk r1735889 on FreeBSD 11.0 with clang 3.8, the number of warnings is reduced from 53260 to 13741, and the size of the build log is reduced from 117 MB to 44 MB.
Comment 1 Kay 2016-03-24 22:58:09 UTC
Thanks. I will test out very soon on my Linux-32 build.
Comment 2 Kay 2016-05-29 20:51:37 UTC
So sorry for the very long delay. I tested this out at the end of March and never got back to this issue. Looks fine. Don, please feel free to commit.
Comment 3 SVN Robot 2016-06-06 14:32:24 UTC
"truckman" committed SVN revision 1747019 into trunk:
#i126888#:  bundled boost headers generate an excessive number of
Comment 4 Matthias Seidel 2020-08-27 10:04:59 UTC
Cherry-picked for AOO 4.1.8 with:

https://github.com/apache/openoffice/commit/e452c22e0ed0f38f262d6370cc31b70d52f3f1a8